/* ************************************************************************* */
/*  ###  Finite-Elemente-Baukasten FEMSET  ###                               */
/*                                                                           */
/*  Berechnung eines Wertes in der Groessenordnung der Original-             */
/*  Hauptdiagonalelemente, der fuer das Nullsetzen der                       */
/*  Verschiebungen als Hauptdiagonalelement benutzt wird                     */
/*  =======================================================                  */
/*                                                                           */
/*  Autor: J. Dankert                                                        */
/* ************************************************************************* */

#include    <math.h>
#include    "femset_f.h"

double getnox_f (double *a_p , long ib , long n)
{
  long      i  , jd ;
  double    ox ;

  for (i = 0 , jd = 0 , ox = 0. ; i < n ; i++ , jd += ib)
    ox += fabs (*(a_p+jd)) ;

  return (ox / n) ;
}
