/* ************************************************************************* */
/*  ###  Finite-Elemente-Baukasten FEMSET  ###                               */
/*                                                                           */
/*  Ausgabe einer Protokolltext-Zeile                                        */
/*  =================================                                        */
/*                                                                           */
/*  Autor: J. Dankert                                                        */
/* ************************************************************************* */

#include    <string.h>
#include    "femset_f.h"
#include    "w_fs_res.h"

char *getstr_f (char *Text , int TextNr)
{               
   switch (TextNr)
   {
     case S_DONE_f:          
       strcpy (Text , "Bereits erledigt!") ;
       break ;
     case S_CALCDONE_f:      
       strcpy (Text , "Ergebnisse sind aktuell, trotzdem berechnen?") ;
       break ;
     case S_SUCCESS_f:       
       strcpy (Text , "Erfolg!") ;
       break ;
     case S_RESSTORED_f:     
       strcpy (Text , "Berechnungsmodell und Ergebnisse gespeichert") ; 
       break ;
     case S_MAXHEAP_f:       
       strcpy (Text , "Grter zusammenhngender freier Bereich: ") ; 
       break ;
     case S_HEAPSIZE_f:      
       strcpy (Text , "Heap space") ; 
       break ;
     case S_NOSPACE_f:       
       strcpy (Text , "Kein Speicherplatz mehr ...") ; 
       break ;
     case S_UNODEOBJ_f:      
       strcpy (Text , "... fr Graphik-Objekte 'Knoten (unverformt)'") ; 
       break ;
     case S_ELEMOBJ_f:       
       strcpy (Text , "... fr Graphik-Objekte 'Elemente'") ; 
       break ;
     case S_DEFCOOROBJ_f:    
       strcpy (Text , "... fr Koordinaten des verformten Systems") ; 
       break ;
     case S_NODEOBJ_f:       
       strcpy (Text , "... fr Graphik-Objekte 'Knoten'") ; 
       break ;
     case S_ADDCOOROBJ_f:    
       strcpy (Text , "... fr Graphik-Objekte 'Zusatzkoordinaten'") ; 
       break ;
     case S_SUPPOBJ_f:       
       strcpy (Text , "... fr Graphik-Objekte 'Lagersymbole'") ; 
       break ;
     case S_LOADOBJ_f:       
       strcpy (Text , "... fr Graphik-Objekte 'Belastungssymbole'") ; 
       break ;
     case S_COORSYSOBJ_f:    
       strcpy (Text , "... fr Graphik-Objekte 'Koordinatensystem'") ; 
       break ;
     case S_SORRY_f:         
       strcpy (Text , "Sorry!") ; 
       break ;
     case S_NOSTIFFSPACE_f:  
       strcpy (Text , "Kein Speicherplatz fr Systemsteifigkeitsbeziehung") ; 
       break ;
     case S_STIFFERROR_f:    
       strcpy (Text , "Fehler beim Aufbau der Systemsteifigkeitsbeziehung") ; 
       break ;
     case S_NOTPOSDEF_f:     
       strcpy (Text , "Systemsteifigkeitsmatrix ist nicht positiv definit") ; 
       break ;
     case S_CONVLISPACE_f:   
       strcpy (Text , "Kein Speicherplatz (Funktion convli_p)") ; 
       break ;
     case S_RESTLISPACE_f:   
       strcpy (Text , "Kein Speicherplatz (Funktion restli_p)") ; 
       break ;
     case S_NOELEMSPACE_f:   
       strcpy (Text , "Kein Speicherplatz fr Elementsteifigkeitsbeziehung") ; 
       break ;
     case S_SYSMAT_f:        
       strcpy (Text , "System-Steifigkeitsmatrix:") ; 
       break ;
     case S_ASEWP_f:        
       strcpy (Text , "Matrizen des Allgemeinen symmetrischen Eigenwertptoblems:") ; 
       break ;
     case S_LINEROWNR_f:     
       strcpy (Text , "Zeilen/Spalten-Anzahl    n =") ; 
       break ;
     case S_HALFBW_f:        
       strcpy (Text , "Halbe Bandweite:       hbw =") ; 
       break ;
     case S_MAKELINEQ_f:     
       strcpy (Text , "Aufbau der System-Steifigkeitsbeziehung") ; 
       break ;
     case S_MAKEEWP_f:     
       strcpy (Text , "Aufbau der Matrizen K und M") ; 
       break ;
     case S_SECONDS_f:       
       strcpy (Text , "Sekunden") ; 
       break ;
     case S_SOLVELINEQ_f:    
       strcpy (Text , "Loesen des Gleichungssystems           ") ; 
       break ;
     case S_SOLVEEWP_f:    
       strcpy (Text , "Loesen des Matrizeneigenwertproblems   ") ; 
       break ;
     case S_GRASCHITER_f:    
       strcpy (Text , "Anzahl der Gram-Schmidt-Iterationen:   ") ; 
       break ;
     case S_ITERATIONS_f:       
       strcpy (Text , "Iterationen") ; 
       break ;
     case S_CHARLINEQ_f:     
       strcpy (Text , "Charakteristik des Linearen Gleichungssystems") ; 
       break ;
     case S_SYSMATBR_f:      
       strcpy (Text , "(System-Steifigkeitsmatrix):") ; 
       break ;
   }
   
   return Text ; 
}
