/* ************************************************************************* */
/*  ###  Finite-Elemente-Baukasten FEMSET  ###                               */
/*                                                                           */
/*  Einbau von Federn an Knoten                                              */
/*  ===========================                                              */
/*                                                                           */
/*  Autor: J. Dankert                                                        */
/* ************************************************************************* */

#include    "femset_f.h"

void spccon_f (double *a_p , long ib , double *sc_p ,
               long    nk  , long kf )
{
  long      i , jd , nfg ;

  nfg = nk * kf ;

  for (i = 0 ; i < nfg ; i++)
  {
    jd = i * ib ;
    *(a_p+jd) += *(sc_p+i) ;
  }
}
