/* ************************************************************************* */
/*  ###  Finite-Elemente-Baukasten FEMSET  ###                               */
/*                                                                           */
/*  Allokieren von Speicherplatz fuer FEMSET-Modell                          */
/*  ===============================================                          */
/*                                                                           */
/*  Return-Wert:   1  --->  Erfolg                                           */
/*                 0  --->  Misserfolg                                       */
/*                                                                           */
/*  Autor: J. Dankert                                                        */
/* ************************************************************************* */

#include  "femset_f.h"

int allcmd_f ()
{
  if ((xy_p_f = (double *) calloc_f (nk_f * kx_f ,
                                     sizeof (double))) == NULL) return 0 ;
  if ((km_p_f = (long   *) calloc_f (ne_f * ke_f ,
                                     sizeof (long)))   == NULL) return 0 ;
  if ((et_p_f = (long   *) calloc_f (ne_f * 5  ,
                                     sizeof (long)))   == NULL) return 0 ;
  if ((ep_p_f = (double *) calloc_f (ne_f * kp_f ,
                                     sizeof (double))) == NULL) return 0 ;
  if ((bk_p_f = (double *) calloc_f (nk_f * kf_f ,
                                     sizeof (double))) == NULL) return 0 ;
  if ((kr_p_f = (long   *) calloc_f (nk_f      ,
                                     sizeof (long)))   == NULL) return 0 ;
  if ((uv_p_f = (double *) calloc_f (nk_f * kf_f ,
                                     sizeof (double))) == NULL) return 0 ;
  if ((sc_p_f = (double *) calloc_f (nk_f * kf_f ,
                                     sizeof (double))) == NULL) return 0 ;
  if ((la_p_f = (long   *) calloc_f (nk_f      ,
                                     sizeof (long)))   == NULL) return 0 ;
  if ((aa_p_f = (double *) calloc_f (nk_f * 3  ,
                                     sizeof (double))) == NULL) return 0 ;
  if ((li_p_f = (long   *) calloc_f (nk_f * kf_f ,
                                     sizeof (long)))   == NULL) return 0 ;
  if ((pu_p_f = (double *) calloc_f (nk_f * kf_f ,
                                     sizeof (double))) == NULL) return 0 ;
  if ((ft_p_f = (int *)    calloc_f (kf_f ,
                                     sizeof (int)))    == NULL) return 0 ;
                
  return 1 ;              
}
