/* ************************************************************************* */
/*  ###  Finite-Elemente-Baukasten FEMSET  ###                               */
/*                                                                           */
/*  Kopieren eines double-Arrays                                             */
/*  ============================                                             */
/*                                                                           */
/*  Es werden n Elemente des Feldes a_p auf das Feld b_p kopiert.            */
/*                                                                           */
/*  Eingabe:  a_p  -  Feld mit mindestens n Elementen                        */
/*            n    -  Anzahl der zu kopierenden Elemente                     */
/*                                                                           */
/*  Autor: J. Dankert                                                        */
/* ************************************************************************* */

#include    "femset_f.h"

void darcop_f (double *a_p , double *b_p , long n)
{
   long   i ;

   for (i = 0 ; i < n ; i++) *(b_p + i) = *(a_p + i) ;
}
