/* ************************************************************************* */
/*  ###  Finite-Elemente-Baukasten FEMSET  ###                               */
/*                                                                           */
/*  Freigeben des Speicherplatzes fuer FEMSET-Modell                         */
/*  ================================================                         */
/*                                                                           */
/*  Autor: J. Dankert                                                        */
/* ************************************************************************* */

#include  "femset_f.h"

void fralla_f ()
{
  if (xy_p_f) freesp_f (xy_p_f) ;
  if (km_p_f) freesp_f (km_p_f) ;
  if (et_p_f) freesp_f (et_p_f) ;
  if (ep_p_f) freesp_f (ep_p_f) ;
  if (bk_p_f) freesp_f (bk_p_f) ;
  if (kr_p_f) freesp_f (kr_p_f) ;
  if (uv_p_f) freesp_f (uv_p_f) ;
  if (sc_p_f) freesp_f (sc_p_f) ;
  if (la_p_f) freesp_f (la_p_f) ;
  if (aa_p_f) freesp_f (aa_p_f) ;
  if (li_p_f) freesp_f (li_p_f) ;
  if (pu_p_f) freesp_f (pu_p_f) ; 
  if (ft_p_f) freesp_f (ft_p_f) ; 
  
  xy_p_f = NULL ;       /*  Knotenkoordinaten              */
  km_p_f = NULL ;       /*  Koinzidenzmatrix               */
  et_p_f = NULL ;       /*  Element-Typen                  */
  ep_p_f = NULL ;       /*  Elementparameter               */
  bk_p_f = NULL ;       /*  Knotenlasten                   */
  kr_p_f = NULL ;       /*  Randbedingungen                */
  uv_p_f = NULL ;       /*  Knotenverformungen             */
  sc_p_f = NULL ;       /*  Federsteifigkeiten             */
  la_p_f = NULL ;       /*  Lager unter Winkel             */
  aa_p_f = NULL ;       /*  Winkel fuer Lager              */
  li_p_f = NULL ;       /*  Identische Verschbgn.          */
  pu_p_f = NULL ;       /*  Vorgeschrbne. Versch.          */
  ft_p_f = NULL ;       /*  Freiheitsgradtypen             */
}
