/* ************************************************************************* */
/*  ###  Finite-Elemente-Baukasten FEMSET  ###                               */
/*                                                                           */
/*  Speicherplatz fuer Systemsteifigkeitsbeziehung freigeben                 */
/*  (Skyline-Variante)                                                       */
/*  ========================================================                 */
/*                                                                           */
/*  Autor: J. Dankert                                                        */
/* ************************************************************************* */

#include    "femset_f.h"

void skyfsp_f (double **mdiag_pp , long *height_p , double *b_p)
{ 
  long i ;

  if (StiffMatSpace_f == FS_MATRIXSPACE_f)
  {
     if (*(mdiag_pp)) freesp_f (*(mdiag_pp)) ;
  }
  else
  {
     for (i = 0 ; i < n_f ; i++)
     {
       if (*(mdiag_pp + i)) freesp_f (*(mdiag_pp + i)) ;
     }
  }

  if (b_p)      freesp_f (b_p)      ;
  if (mdiag_pp) freesp_f (mdiag_pp) ;
  if (height_p) freesp_f (height_p) ;
}
