/* ************************************************************************* */
/*  ###  Finite-Elemente-Baukasten FEMSET  ###                               */
/*                                                                           */
/*  Einbau von Federn an Knoten (Skyline-Variante)                           */
/*  ==============================================                           */
/*                                                                           */
/*  Autor: J. Dankert                                                        */
/* ************************************************************************* */

#include    "femset_f.h"

void skyspc_f (double **mdiag_pp , double *sc_p , long nk , long kf)
{
  long      i , nfg ;

  nfg = nk * kf ;

  for (i = 0 ; i < nfg ; i++)
  {
    *(*(mdiag_pp + i)) += *(sc_p+i) ;
  }
}
